# Interface IDatabricksConnection

All Superinterfaces:
  `AutoCloseable`, `Connection`, `Wrapper`

All Known Implementing Classes:
  `DatabricksConnection`

public interface IDatabricksConnection extends Connection
Extends the standard JDBC `Connection` interface to provide Databricks-specific functionality. This interface adds methods to retrieve statement handles and connection identifiers.

## Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConnectionId()`
Retrieves the unique identifier for this connection.
`Statement`
`getStatement(String statementId)`
Retrieves a statement handle for a given statement ID.

### Methods inherited from interface java.sql.Connection

`abort, beginRequest, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid, setTransactionIsolation, setTypeMap`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

## Method Details

### getStatement

Statement getStatement(String statementId) throws SQLException
Retrieves a statement handle for a given statement ID.

Parameters:
  `statementId` - The unique identifier of the statement to retrieve
Returns:
  A `Statement` object representing the statement
Throws:
  `SQLException` - if a database access error occurs or this method is called on a closed connection

### getConnectionId

String getConnectionId() throws SQLException
Retrieves the unique identifier for this connection.

Returns:
  A string representing the unique connection ID
Throws:
  `SQLException` - if a database access error occurs or this method is called on a closed connection